Bug 466891 - Feature Request: Inclusion of serial port redirection to a file in rhel
Feature Request: Inclusion of serial port redirection to a file in rhel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
: FutureFeature
Depends On: 475821
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 07:43 EDT by Gurhan Ozen
Modified: 2013-11-03 20:37 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:21:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gurhan Ozen 2008-10-14 07:43:30 EDT
Description of problem:
This is a feature request spun off of #465148 . It'd be helpful for our automated testing efforts if we could have serial port redirection to a file feature included in RHEL. 

Version-Release number of selected component (if applicable):
RHEL
Comment 2 Cole Robinson 2009-02-15 19:05:51 EST
Pretty certain this is present in upstream libvirt, so we get this for free if we rebase.
Comment 3 Daniel Berrange 2009-03-30 07:03:46 EDT
This is available in 0.6.1 rebase.

Usage for logging to a file is described here

http://libvirt.org/formatdomain.html#elementsCharFle
Comment 6 Nan Zhang 2009-06-04 06:29:39 EDT
Add the following section to guest domain xml.

      <serial type="file">
        <source path="/var/log/serial.log"/>
        <target port="1"/>
      </serial>

Edit guest menu.lst, append the following to kernel line to support serial port output, and reboot guest domain.

      console=ttyS0,115200n8 console=tty0

On host, cat /var/log/serial.log, boot messages was displayed.


This bug has been verified with libvirt 0.6.3-3 on rhel-5.4. Fixed.
Comment 8 errata-xmlrpc 2009-09-02 05:21:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1269.html

Note You need to log in before you can comment on or make changes to this bug.